<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="exemplary"
            type="com.app.retrofit.model.object.Exemplary" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/semi_transparent"
        android:fitsSystemWindows="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:weightSum="1">

        <androidx.cardview.widget.CardView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            app:cardCornerRadius="4dp"
            app:cardElevation="4dp"
            app:cardUseCompatPadding="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.8">

            <LinearLayout
                android:id="@+id/ll_main"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/background_popup"
                android:orientation="vertical"
                android:padding="1dp">

                <TextView
                    android:id="@+id/tv_title"
                    style="@style/TextStyleSecondary"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorPrimary"
                    android:gravity="center"
                    android:padding="4dp"
                    android:text="@string/loan_recovery"
                    android:textSize="16sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:paddingTop="4dp"
                    android:paddingBottom="2dp">

                    <ImageView
                        android:id="@+id/iv_label"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:src="@drawable/ic_label"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_exemplary_label"
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:text="@={exemplary.label}"
                        android:textSize="14sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toEndOf="@id/iv_label"
                        app:layout_constraintTop_toTopOf="parent" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:paddingTop="4dp"
                    android:paddingBottom="2dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:text="@string/date_added"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/tv_exemplary_date_added"
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="6dp"
                        android:text="@{exemplary.createdFormatted}"
                        android:textSize="14sp" />

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <LinearLayout
                    android:id="@+id/ll_item_infos"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    android:padding="8dp">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <ImageView
                            android:id="@+id/iv_item_image"
                            imageUrl="@{exemplary.item.path_img}"
                            android:layout_width="54dp"
                            android:layout_height="70dp"
                            android:src="@drawable/img_loading" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="12dp"
                        android:orientation="vertical"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/name"
                                android:textSize="14sp"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_item_name"
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@={exemplary.item.label}"
                                android:textSize="13sp"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/author"
                                android:textSize="14sp"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_item_author"
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@={exemplary.item.author}"
                                android:textSize="13sp"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/editor"
                                android:textSize="14sp"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_item_editor"
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@={exemplary.item.editor}"
                                android:textSize="13sp"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/date_of_publication"
                                android:textSize="14sp"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/tv_item_dop"
                                style="@style/TextStyleSecondary"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@={exemplary.item.date_of_publish}"
                                android:textSize="13sp"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="8dp">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.3"
                        android:text="@string/name"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/et_item_name"
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:gravity="end"
                        android:padding="5dp"
                        android:text="@={exemplary.lendInformation.receiver_name}"
                        android:textSize="13sp" />

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:background="@color/colorPrimaryDark" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/date_limit_recovery"
                        android:textSize="14sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{exemplary.lendInformation.date_limitFormatted}"
                        android:textSize="15sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:background="@color/colorPrimaryDark" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:padding="8dp">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.3"
                        android:text="@string/notes"
                        android:textSize="14sp" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:layout_weight="0.7"
                        android:padding="4dp"
                        app:hintEnabled="false">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/et_item_editor"
                            style="@style/TextStyleSecondary"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/background_input_popup_clearer"
                            android:enabled="false"
                            android:gravity="top"
                            android:lines="5"
                            android:padding="5dp"
                            android:text="@={exemplary.lendInformation.note}"
                            android:textColor="#000000"
                            android:textSize="13sp" />

                    </com.google.android.material.textfield.TextInputLayout>

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/location_arrival"
                        android:textColor="@color/colorHeaderText"
                        android:textSize="15sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <ImageView
                        android:id="@+id/iv_edit_location_arrival"
                        android:layout_width="26dp"
                        android:layout_height="32dp"
                        android:layout_gravity="center"
                        android:layout_marginEnd="4dp"
                        android:src="@drawable/img_edit"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    android:id="@+id/ll_select_location"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_location_arrival"
                        android:layout_width="26dp"
                        android:layout_height="32dp"
                        android:layout_gravity="center"
                        android:layout_marginEnd="6dp"
                        android:src="@drawable/ic_position"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/tv_location_arrival_name"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_location_arrival_name"
                        style="@style/TextStyleSecondary"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="6dp"
                        android:text="@={exemplary.location.label}"
                        android:textSize="15sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </LinearLayout>

                <LinearLayout
                    style="@style/HorizontalLine"
                    android:background="#000000" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@color/colorPrimary"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <Button
                        android:id="@+id/btn_cancel"
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@drawable/primary_square_btn"
                        android:text="@string/cancel"
                        android:textSize="13sp" />

                    <LinearLayout
                        style="@style/VerticalLine"
                        android:background="#000000" />

                    <Button
                        android:id="@+id/btn_recovery"
                        style="@style/TextStyleSecondary"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:background="@drawable/primary_square_btn"
                        android:text="@string/recovery"
                        android:textSize="13sp" />

                </LinearLayout>

            </LinearLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>